Package org.apache.naming

# Class AbstractRef

java.lang.Object
javax.naming.Reference
org.apache.naming.AbstractRef

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Direct Known Subclasses:
  `EjbRef`, `HandlerRef`, `LookupRef`, `ResourceEnvRef`, `ResourceLinkRef`, `ResourceRef`, `ServiceRef`, `TransactionRef`

public abstract class AbstractRef extends Reference

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.naming.Reference

  `addrs, classFactory, classFactoryLocation, className`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractRef(String className)`
  `AbstractRef(String className, String factory, String factoryLocation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract String`
  `getDefaultFactoryClassName()`
  `final String`
  `getFactoryClassName()`
  `final String`
  `toString()`

  ### Methods inherited from class javax.naming.Reference

  `add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractRef

    public AbstractRef(String className)

  - ### AbstractRef

    public AbstractRef(String className, String factory, String factoryLocation)

- ## Method Details

  - ### getFactoryClassName

    public final String getFactoryClassName()
    Overrides:
      `getFactoryClassName` in class `Reference`

  - ### getDefaultFactoryClassName

    protected abstract String getDefaultFactoryClassName()

  - ### toString

    public final String toString()
    Overrides:
      `toString` in class `Reference`